UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

27 lines 855 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.partyDeclineEndpoint = void 0; const commonTypes_1 = require("../../commonTypes"); const zod_1 = require("zod"); exports.partyDeclineEndpoint = { name: 'Party Decline', description: 'Decline a party invite request', queryName: 'Party_DeclineRequest', category: 'Party Endpoints', type: 'glz', method: 'POST', suffix: 'parties/v1/parties/{party id}/request/{request id}/decline', variables: new Map([ ['request id', zod_1.z.string().describe('The ID of the request to decline')] ]), riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': commonTypes_1.partySchema } }; //# sourceMappingURL=PartyDecline.js.map